Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq.c	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq.c	(revision 321)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -81,5 +69,5 @@
 
 /*
- *  ãã³ãã­ãã­ã³ã°ã³ã¼ã«ãçµè¾¼ã¾ãªãå ´åã«ãªã³ã¯ãããé¢æ°ã®å®ç¾©
+ *  ノンブロッキングコールを組込まない場合にリンクされる関数の定義
  */
 
@@ -131,5 +119,5 @@
 
 /*
- *  IPv4 ã¨ IPv6 ã®åãæ¿ããã¯ã­
+ *  IPv4 と IPv6 の切り替えマクロ
  */
 
@@ -151,7 +139,6 @@
 
 /*
- *  TINET ãã©ã¤ãã©ãªåããªãå ´åã¯ãå
-¨ã¦ã®æ©è½ã
- *  ãªãã¸ã§ã¯ããã¡ã¤ã«ã«åºåããããããã¯ã­ãæå¹ã«ããã
+ *  TINET をライブラリ化しない場合は、全ての機能を
+ *  オブジェクトファイルに出力するため、マクロを有効にする。
  */
 
@@ -174,5 +161,5 @@
 
 /*
- *  udp_send_data -- ãã±ããéä¿¡ã®ä¸»è¦é¨
+ *  udp_send_data -- パケット送信の主要部
  */
 
@@ -192,9 +179,9 @@
 	NET_COUNT_UDP(net_count_udp.out_packets, 1);
 
-	/* IP ãã¼ã¿ã°ã©ã å²ãå½ã¦ã®æéã tmout ããæ¸ããã*/
+	/* IP データグラム割り当ての時間を tmout から減ずる。*/
 	if (!(tmout == TMO_POL || tmout == TMO_FEVR))
 		syscall(get_tim(&before));
 
-	/* IP ãã¼ã¿ã°ã©ã ãå²ãå½ã¦ãã*/
+	/* IP データグラムを割り当てる。*/
 	if ((error = IN_GET_DATAGRAM(&output, (uint_t)(UDP_HDR_SIZE + len), 0,
 	                             &p_dstaddr->ipaddr,
@@ -204,5 +191,5 @@
 		goto err_ret;
 
-	/* IP ãã¼ã¿ã°ã©ã å²ãå½ã¦ã®æéã tmout ããæ¸ããã*/
+	/* IP データグラム割り当ての時間を tmout から減ずる。*/
 	if (!(tmout == TMO_POL || tmout == TMO_FEVR)) {
 		syscall(get_tim(&after));
@@ -215,6 +202,5 @@
 		}
 
-	/* UDP ãããã«æ
-å ±ãè¨­å®ããã*/
+	/* UDP ヘッダに情報を設定する。*/
 	udph		= GET_UDP_HDR(output, IF_IP_UDP_HDR_OFFSET);
 	udph->sport	= htons(cep->myaddr.portno);
@@ -223,5 +209,5 @@
 	udph->sum	= 0;
 
-	/* ãã¼ã¿ãã³ãã¼ããã*/
+	/* データをコピーする。*/
 	memcpy((void*)GET_UDP_SDU(output, IF_IP_UDP_HDR_OFFSET), data, (size_t)len);
 
@@ -230,6 +216,5 @@
 	sum = IN_CKSUM(output, IPPROTO_UDP, IF_IP_UDP_HDR_OFFSET, (uint_t)(UDP_HDR_SIZE + len));
 
-	/* è¨ç®ãããã§ãã¯ãµã ã®å¤ã 0 ãªã 0xffff ãå
-¥ããã*/
+	/* 計算したチェックサムの値が 0 なら 0xffff を入れる。*/
 	if (sum == 0)
 		sum = 0xffff;
@@ -238,8 +223,8 @@
 #endif	/* of #ifdef UDP_CFG_OUT_CHECKSUM */
 
-	/* ãããã¯ã¼ã¯ãããã¡é·ãèª¿æ´ããã*/
+	/* ネットワークバッファ長を調整する。*/
 	output->len = (uint16_t)(IF_IP_UDP_HDR_SIZE + len);
 
-	/* ãããã¯ã¼ã¯å±¤ (IP) ã®åºåé¢æ°ãå¼ã³åºãã*/
+	/* ネットワーク層 (IP) の出力関数を呼び出す。*/
 	if ((error = IP_OUTPUT(output, tmout)) == E_OK) {
 		NET_COUNT_MIB(udp_stats.udpOutDatagrams, 1);
@@ -257,5 +242,5 @@
 
 /*
- *  udp_cre_cep -- UDP éä¿¡ç«¯ç¹ã®çæãæ¡å¼µæ©è½ã
+ *  udp_cre_cep -- UDP 通信端点の生成【拡張機能】
  */
 
@@ -270,28 +255,28 @@
 	ER		error;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* pk_ccep ã NULL ãªãã¨ã©ã¼ */
+	/* pk_ccep が NULL ならエラー */
 	if (pk_ccep == NULL)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (VALID_UDP_CEP(cep))
 		return E_OBJ;
 
-	/* UDP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* UDP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_UDP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * UDP éä¿¡ç«¯ç¹ããã§ãã¯ãããçææ¸ã¿ã§ããã°ã¨ã©ã¼
+	 * UDP 通信端点をチェックする。生成済みであればエラー
 	 */
 	if (VALID_UDP_CEP(cep))
@@ -300,5 +285,5 @@
 
 		/*
-		 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+		 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 		 */
 		if (pk_ccep->myaddr.portno == UDP_PORTANY)
@@ -309,16 +294,15 @@
                 if (error == E_OK) {
 
-			/* UDP éä¿¡ç«¯ç¹çææ
-å ±ãã³ãã¼ããã*/
-			cep->cepatr        = pk_ccep->cepatr;			/* éä¿¡ç«¯ç¹å±æ§		*/
-			cep->myaddr.ipaddr = pk_ccep->myaddr.ipaddr;		/* èªåã®ã¢ãã¬ã¹	*/
-			cep->callback      = (void*)pk_ccep->callback;		/* ã³ã¼ã«ããã¯		*/
-
-			/* UDP éä¿¡ç«¯ç¹ãçææ¸ã¿ã«ããã*/
+			/* UDP 通信端点生成情報をコピーする。*/
+			cep->cepatr        = pk_ccep->cepatr;			/* 通信端点属性		*/
+			cep->myaddr.ipaddr = pk_ccep->myaddr.ipaddr;		/* 自分のアドレス	*/
+			cep->callback      = (void*)pk_ccep->callback;		/* コールバック		*/
+
+			/* UDP 通信端点を生成済みにする。*/
 			cep->flags |= UDP_CEP_FLG_VALID;
 			}
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -331,5 +315,5 @@
 
 /*
- *  udp_del_cep -- UDP éä¿¡ç«¯ç¹ã®åé¤ãæ¡å¼µæ©è½ã
+ *  udp_del_cep -- UDP 通信端点の削除【拡張機能】
  */
 
@@ -344,25 +328,25 @@
 	ER		error;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* UDP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* UDP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_UDP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * UDP éä¿¡ç«¯ç¹ããã§ãã¯ãããæªçæã®å ´åã¯ã¨ã©ã¼
-	 * ã»æªçæã
+	 * UDP 通信端点をチェックする。未生成の場合はエラー
+	 * ・未生成。
 	 */
 	if (!VALID_UDP_CEP(cep))
@@ -372,10 +356,10 @@
 		udp_can_rcv(cep, E_DLT);
 
-		/* UDP éä¿¡ç«¯ç¹ãæªçæã«ããã*/
+		/* UDP 通信端点を未生成にする。*/
 		cep->flags &= ~UDP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -390,5 +374,5 @@
 
 /*
- *  udp_can_cep -- ãã³ãã£ã³ã°ãã¦ããå¦çã®ã­ã£ã³ã»ã«ãæ¨æºæ©è½ã
+ *  udp_can_cep -- ペンディングしている処理のキャンセル【標準機能】
  */
 
@@ -399,23 +383,23 @@
 	ER		error = E_OK, snd_err, rcv_err;
 
-	/* API æ©è½ã³ã¼ãããã§ãã¯ããã*/
+	/* API 機能コードをチェックする。*/
 	if (!VALID_TFN_UDP_CAN(fncd))
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
-	if (fncd == TFN_UDP_ALL) {	/* TFN_UDP_ALL ã®å¦ç */
+	if (fncd == TFN_UDP_ALL) {	/* TFN_UDP_ALL の処理 */
 
 		snd_err = udp_can_snd(cep, E_RLWAI);
@@ -423,6 +407,6 @@
 
 		/*
-		 *  snd_err ã¨ rcv_err ã®ã©ã¡ãã EV_NOPND
-		 *  ãªãããã³ãã£ã³ã°ãã¦ããªãã®ã§ã¨ã©ã¼
+		 *  snd_err と rcv_err のどちらも EV_NOPND
+		 *  なら、ペンディングしていないのでエラー
 		 */
 		if (snd_err == EV_NOPND && rcv_err == EV_NOPND)
@@ -440,9 +424,9 @@
 			}
 		}
-	else if (fncd == TFN_UDP_SND_DAT) {	/* éä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else if (fncd == TFN_UDP_SND_DAT) {	/* 送信処理のキャンセル */
 		if ((error = udp_can_snd(cep, E_RLWAI)) == EV_NOPND)
 			error = E_OBJ;
 		}
-	else if (fncd == TFN_UDP_RCV_DAT) {	/* åä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else if (fncd == TFN_UDP_RCV_DAT) {	/* 受信処理のキャンセル */
 		if ((error = udp_can_rcv(cep, E_RLWAI)) == EV_NOPND)
 			error = E_OBJ;
@@ -451,5 +435,5 @@
 		error = E_PAR;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点をロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -460,7 +444,7 @@
 
 /*
- *  udp_set_opt -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã®è¨­å®ãæ¡å¼µæ©è½ã
+ *  udp_set_opt -- UDP 通信端点オプションの設定【拡張機能】
  *
- *  æ³¨æ: è¨­å®å¯è½ãª UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã¯ç¡ããããE_PAR ãè¿ãããã
+ *  注意: 設定可能な UDP 通信端点オプションは無いため、E_PAR が返される。
  */
 
@@ -474,12 +458,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
@@ -493,7 +477,7 @@
 
 /*
- *  udp_get_opt -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã®è¨­å®ãæ¡å¼µæ©è½ã
+ *  udp_get_opt -- UDP 通信端点オプションの設定【拡張機能】
  *
- *  æ³¨æ: è¨­å®å¯è½ãª UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã¯ç¡ããããE_PAR ãè¿ãããã
+ *  注意: 設定可能な UDP 通信端点オプションは無いため、E_PAR が返される。
  */
 
@@ -507,12 +491,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
@@ -534,5 +518,5 @@
 
 /*
- *  udp_can_snd -- ãã³ãã£ã³ã°ãã¦ããéä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_snd -- ペンディングしている送信のキャンセル
  */
 
@@ -540,11 +524,9 @@
 udp_can_snd (T_UDP_CEP *cep, ER error)
 {
-	if (cep->snd_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-
-#ifdef UDP_CFG_EXTENTIONS
-
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+	if (cep->snd_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
+
+#ifdef UDP_CFG_EXTENTIONS
+
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -554,5 +536,5 @@
 		cep->snd_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -565,5 +547,5 @@
 
 /*
- *  udp_can_rcv -- ãã³ãã£ã³ã°ãã¦ããåä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_rcv -- ペンディングしている受信のキャンセル
  */
 
@@ -571,11 +553,9 @@
 udp_can_rcv (T_UDP_CEP *cep, ER error)
 {
-	if (cep->rcv_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-
-#ifdef UDP_CFG_EXTENTIONS
-
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+	if (cep->rcv_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
+
+#ifdef UDP_CFG_EXTENTIONS
+
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -585,5 +565,5 @@
 		cep->rcv_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -596,5 +576,5 @@
 
 /*
- *  udp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  udp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -605,25 +585,25 @@
 	ER		error;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_dstaddr == NULL || data == NULL || tmout == TMO_NBLK)
 		return E_PAR;
 
-	/* ãã¼ã¿é·ããã§ãã¯ããã*/
+	/* データ長をチェックする。*/
 	if (len < 0 || len + IP_HDR_SIZE + UDP_HDR_SIZE > IF_MTU)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+	 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 	 */
 	if (cep->myaddr.portno == UDP_PORTANY) {
@@ -632,39 +612,35 @@
 		}
 	
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	if (cep->snd_tskid != TA_NULL) {
 
-		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+		/* 非ノンブロッキングコールでペンディング中 */
 		error = E_QOVR;
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		}
 	else {
-		/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+		/* 現在のタスク識別子を記録する。*/
 		get_tid(&(cep->snd_tskid));
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ããªã»ããããã*/
+		/* 待ち中に発生したエラー情報をリセットする。*/
 		cep->error = E_OK;
 
 #endif	/* of #ifdef UDP_CFG_EXTENTIONS */
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 
-		/* ãã±ãããéä¿¡ããã*/
+		/* パケットを送信する。*/
 		error = udp_send_data(cep, p_dstaddr, data, len, tmout);
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¿ãã*/
+		/* 待ち中に発生したエラー情報を返す。*/
 		if (error == E_RLWAI)
 			error = cep->error;
@@ -681,5 +657,5 @@
 
 /*
- *  udp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  udp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -693,57 +669,52 @@
 	uint_t		ulen, uhoff;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL 、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (p_dstaddr == NULL || data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	if (cep->rcv_tskid != TA_NULL) {
 
-		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+		/* 非ノンブロッキングコールでペンディング中 */
 		error = E_QOVR;
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		}
 	else {
 
-		/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+		/* 現在のタスク識別子を記録する。*/
 		get_tid(&(cep->rcv_tskid));
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ããªã»ããããã*/
+		/* 待ち中に発生したエラー情報をリセットする。*/
 		cep->error = E_OK;
 
 #endif	/* of #ifdef UDP_CFG_EXTENTIONS */
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 
-		/* å
-¥åãããã¾ã§å¾
-ã¤ã*/
+		/* 入力があるまで待つ。*/
 		if (cep->cb_netbuf != NULL) {
 
 			/*
-			 *  ããã«ããå ´åã¯ãã³ã¼ã«ããã¯é¢æ°ã®ä¸­ãã
-			 *  udp_rcv_dat ãå¼ã³åºãã¦ãããã¨ã«ãªãã
-			 *  ãã§ã«å
-¥åæ¸ã¿ã§ããã
+			 *  ここにくる場合は、コールバック関数の中から
+			 *  udp_rcv_dat を呼び出していることになり、
+			 *  すでに入力済みである。
 			 */
 			input = cep->cb_netbuf;
@@ -754,7 +725,5 @@
 #ifdef UDP_CFG_EXTENTIONS
 
-			/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¿ãã*/
+			/* 待ち中に発生したエラー情報を返す。*/
 			if (error == E_RLWAI)
 				error = cep->error;
@@ -766,5 +735,5 @@
 			}
 
-		/* p_dstaddr ãè¨­å®ããã*/
+		/* p_dstaddr を設定する。*/
 		uhoff = (uint_t)GET_UDP_HDR_OFFSET(input);
 		udph = GET_UDP_HDR(input, uhoff);
@@ -772,5 +741,5 @@
 		IN_COPY_TO_HOST(&p_dstaddr->ipaddr, &GET_IP_HDR(input)->src);
 
-		/* ãã¼ã¿ããããã¡ã«ç§»ãã*/
+		/* データをバッファに移す。*/
 		ulen = ntohs(udph->ulen);
 		if (ulen - UDP_HDR_SIZE > len)
Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq_nblk.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq_nblk.c	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/udp_usrreq_nblk.c	(revision 321)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -128,5 +116,5 @@
 
 /*
- *  IPv4 ã¨ IPv6 ã®åãæ¿ããã¯ã­
+ *  IPv4 と IPv6 の切り替えマクロ
  */
 
@@ -146,7 +134,6 @@
 
 /*
- *  TINET ãã©ã¤ãã©ãªåããªãå ´åã¯ãå
-¨ã¦ã®æ©è½ã
- *  ãªãã¸ã§ã¯ããã¡ã¤ã«ã«åºåããããããã¯ã­ãæå¹ã«ããã
+ *  TINET をライブラリ化しない場合は、全ての機能を
+ *  オブジェクトファイルに出力するため、マクロを有効にする。
  */
 
@@ -165,5 +152,5 @@
 
 /*
- *  udp_can_snd -- ãã³ãã£ã³ã°ãã¦ããéä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_snd -- ペンディングしている送信のキャンセル
  */
 
@@ -171,5 +158,5 @@
 udp_can_snd (T_UDP_CEP *cep, ER error)
 {
-	if (cep->snd_p_dstaddr != NULL) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->snd_p_dstaddr != NULL) {	/* ノンブロッキングコールでペンディング中 */
 		if (IS_PTR_DEFINED(cep->callback))
 
@@ -188,11 +175,9 @@
 		cep->snd_p_dstaddr = NULL;
 		}
-	else if (cep->snd_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	else if (cep->snd_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -202,5 +187,5 @@
 		cep->snd_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -213,5 +198,5 @@
 
 /*
- *  udp_can_rcv -- ãã³ãã£ã³ã°ãã¦ããåä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_rcv -- ペンディングしている受信のキャンセル
  */
 
@@ -219,5 +204,5 @@
 udp_can_rcv (T_UDP_CEP *cep, ER error)
 {
-	if (cep->rcv_p_dstaddr != NULL) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->rcv_p_dstaddr != NULL) {	/* ノンブロッキングコールでペンディング中 */
 		if (IS_PTR_DEFINED(cep->callback))
 
@@ -236,11 +221,9 @@
 		cep->rcv_p_dstaddr = NULL;
 		}
-	else if (cep->rcv_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	else if (cep->rcv_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -250,5 +233,5 @@
 		cep->rcv_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -261,5 +244,5 @@
 
 /*
- *  udp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  udp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -270,25 +253,25 @@
 	ER		error;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL ならエラー */
 	if (p_dstaddr == NULL || data == NULL)
 		return E_PAR;
 
-	/* ãã¼ã¿é·ããã§ãã¯ããã*/
+	/* データ長をチェックする。*/
 	if (len < 0 || len + IP_HDR_SIZE + UDP_HDR_SIZE > IF_MTU)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+	 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 	 */
 	if (cep->myaddr.portno == UDP_PORTANY) {
@@ -298,26 +281,26 @@
 
 	/*
-	 * ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã
+	 * タイムアウトをチェックする。
 	 */
 
-	if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->snd_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->snd_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 非ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
@@ -328,5 +311,5 @@
 			cep->snd_len	= len;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 
@@ -336,34 +319,34 @@
 			}
 		}
-	else {				/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	else {				/* 非ノンブロッキングコール */
 	
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->snd_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->snd_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else {
 
-			/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+			/* 現在のタスク識別子を記録する。*/
 			get_tid(&(cep->snd_tskid));
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
-			syscall(sig_sem(cep->semid_lock));
-
-			/* ãã±ãããéä¿¡ããã*/
+			/* 通信端点をロックを解除する。*/
+			syscall(sig_sem(cep->semid_lock));
+
+			/* パケットを送信する。*/
 			error = udp_send_data(cep, p_dstaddr, data, len, tmout);
 			}
@@ -378,5 +361,5 @@
 
 /*
- *  udp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  udp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -390,36 +373,36 @@
 	uint_t		ulen, uhoff;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL か、len < 0 ならエラー */
 	if (p_dstaddr == NULL || data == NULL || len < 0)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 * ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã
+	 * タイムアウトをチェックする。
 	 */
 
-	if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->rcv_p_dstaddr != NULL)
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
 		else if (cep->rcv_tskid != TA_NULL)
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_OBJ;
 		else {
@@ -430,47 +413,44 @@
 			}
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		return error;
 		}
-	else {				/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	else {				/* 非ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->rcv_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->rcv_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else {
 
-			/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+			/* 現在のタスク識別子を記録する。*/
 			get_tid(&(cep->rcv_tskid));
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
-			syscall(sig_sem(cep->semid_lock));
-
-			/* å
-¥åãããã¾ã§å¾
-ã¤ã*/
+			/* 通信端点をロックを解除する。*/
+			syscall(sig_sem(cep->semid_lock));
+
+			/* 入力があるまで待つ。*/
 			if (cep->cb_netbuf != NULL) {
 
 				/*
-				 *  ããã«ããå ´åã¯ãã³ã¼ã«ããã¯é¢æ°ã®ä¸­ãã
-				 *  udp_rcv_dat ãå¼ã³åºãã¦ãããã¨ã«ãªãã
-				 *  ãã§ã«å
-¥åæ¸ã¿ã§ããã
+				 *  ここにくる場合は、コールバック関数の中から
+				 *  udp_rcv_dat を呼び出していることになり、
+				 *  すでに入力済みである。
 				 */
 				input = cep->cb_netbuf;
@@ -482,5 +462,5 @@
 				}
 
-			/* p_dstaddr ãè¨­å®ããã*/
+			/* p_dstaddr を設定する。*/
 			uhoff = (uint_t)GET_UDP_HDR_OFFSET(input);
 			udph = GET_UDP_HDR(input, uhoff);
@@ -488,5 +468,5 @@
 			IN_COPY_TO_HOST(&p_dstaddr->ipaddr, &GET_IP_HDR(input)->src);
 
-			/* ãã¼ã¿ããããã¡ã«ç§»ãã*/
+			/* データをバッファに移す。*/
 			ulen = ntohs(udph->ulen);
 			if (ulen - UDP_HDR_SIZE > len)
